Bug 485850 - Desktop file needs subcategory
Desktop file needs subcategory
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pavucontrol (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 19:37 EST by Christoph Wickert
Modified: 2009-02-25 06:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 23:21:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch for the desktop file (307 bytes, patch)
2009-02-24 22:09 EST, Christoph Wickert
no flags Details | Diff

  None (edit)
Description Christoph Wickert 2009-02-16 19:37:38 EST
Description of problem:
We are currently working on a couple of packages to enable submenus. Please add the category "Mixer" to pavucontrol.desktop in order make these nested menus work.

Version-Release number of selected component (if applicable):
pavucontrol-0.9.7-3.fc10.i386
Comment 1 Lennart Poettering 2009-02-17 16:06:20 EST
You are planning to have a seperate category for mixers? Why?
Comment 2 Christoph Wickert 2009-02-17 19:09:10 EST
We are planing to offer additional packages for users that have lots of packages installed so the normal menus would clutter up the whole screen. The categories we are using to sort the different entries are the ones from the freedsktop specs and "Mixer" is a category of it's own in these specs, see
http://standards.freedesktop.org/menu-spec/latest/apa.html

Please note that Xfce 4.4 also has this option for a years, but to make it really work we need subcategories.
Comment 3 Christoph Wickert 2009-02-18 08:14:58 EST
Please note that the subcategories are also meant to replace comps in PackageKit as a fdo wide standard in the future, so we _really_ need them.

http://lists.freedesktop.org/archives/packagekit/2009-February/004457.html
Comment 4 Rudolf Kastl 2009-02-18 08:49:09 EST
note that the proposal linked above is still a very early draft but it would help to get things categorized properly anyways.
Comment 5 Richard Hughes 2009-02-18 08:52:08 EST
(In reply to comment #3)
> Please note that the subcategories are also meant to replace comps in
> PackageKit as a fdo wide standard in the future, so we _really_ need them.

I don't think it's meant to replace comps, it's totally different data. comps works at assigning packages to distro-defined categories, but doesn't work for an application browser where multiple applications are stored in one package.

It's somewhat orthogonal. Whatever your view, it's certainly not going to replace comps in fedora any time soon.
Comment 6 Christoph Wickert 2009-02-19 22:27:25 EST
Ok, thanks for the clarification. Nevertheless adding another category would do absolutely no harm to this package, so there is no reason not to do it.
Comment 7 Lennart Poettering 2009-02-24 21:45:36 EST
Sorry, to me this appears like really strange idea. This would make sense if there were gazillions of mixer tools. Which there are not. 

Anyway, please provide a patch and I'll merge it.
Comment 8 Christoph Wickert 2009-02-24 22:08:12 EST
The rationale is that if you have lots of programs installed move all the 3 mixers into one folder, move the five players into another one and so on to save space in the Sound & Video menu.

Attaching the patch. It also removes the category "Application" which was obsoleted in the freedesktop specs a while ago and adds "GTK" instead.
Comment 9 Christoph Wickert 2009-02-24 22:09:42 EST
Created attachment 333127 [details]
proposed patch for the desktop file
Comment 10 Lennart Poettering 2009-02-24 23:21:40 EST
But there are no three mixers! 

Also, deep menu structures like this are awful. This really makes no sense to me at all.

But anyway, it's now merged upstream. I will push this into rawhide when i do the next PulseAudio release.
Comment 11 Lennart Poettering 2009-02-24 23:27:24 EST
BTW, one last thing:

The name "Mixer" is a really really bad choice. It should be "Volume Control".
Comment 12 Christoph Wickert 2009-02-25 06:40:31 EST
(In reply to comment #10)
> But there are no three mixers! 

I have both Gnome and Xfce installed, so I DO have three mixers.

> Also, deep menu structures like this are awful. 

It's just one more level and IMO this is better then scrolling

(In reply to comment #11)
> The name "Mixer" is a really really bad choice. It should be "Volume Control".

Please tell the freedesktop guys.

Note You need to log in before you can comment on or make changes to this bug.